Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::ContentInspectConfig Struct Reference

`#include <AgoraMediaBase.h>`

## Public Member Functions
ContentInspectConfig & | operator= (const ContentInspectConfig &rth)
| ContentInspectConfig ()

## Public Attributes
const char * | extraInfo
const char * | serverConfig
ContentInspectModule | modules [MAX_CONTENT_INSPECT_MODULE_COUNT]
int | moduleCount

## Constructor & Destructor Documentation

## ◆ ContentInspectConfig()

agora::media::ContentInspectConfig::ContentInspectConfig | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

ContentInspectConfig & agora::media::ContentInspectConfig::operator= | ( | const ContentInspectConfig & | rth | ) |
| inline

## Member Data Documentation

## ◆ extraInfo

const char* agora::media::ContentInspectConfig::extraInfo

Additional information on the video content (maximum length: 1024 Bytes). The SDK sends the screenshots and additional information on the video content to the Agora server. Once the video screenshot and upload process is completed, the Agora server sends the additional information and the callback notification to your server.

## ◆ serverConfig

const char* agora::media::ContentInspectConfig::serverConfig

(Optional) Server configuration related to uploading video screenshots via extensions from Agora Extensions Marketplace. This parameter only takes effect when `type` in `ContentInspectModule` is set to `CONTENT_INSPECT_IMAGE_MODERATION`. If you want to use it, contact `technical support`.

## ◆ modules

ContentInspectModule agora::media::ContentInspectConfig::modules[MAX_CONTENT_INSPECT_MODULE_COUNT]

Functional module. See `ContentInspectModule`. A maximum of 32 `ContentInspectModule` instances can be configured, and the value range of `MAX_CONTENT_INSPECT_MODULE_COUNT` is an integer in [1,32].

Note
  A function module can only be configured with one instance at most. Currently only the video screenshot and upload function is supported.

## ◆ moduleCount

int agora::media::ContentInspectConfig::moduleCount

The number of functional modules, that is,the number of configured `ContentInspectModule` instances, must be the same as the number of instances configured in `modules`. The maximum number is 32.